Get wallet PnL details
curl --request POST \
--url https://api.kanarie.xyz/api/v1/data/wallets/pnl-details \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"wallet": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU"
}
'const url = 'https://api.kanarie.xyz/api/v1/data/wallets/pnl-details';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({wallet: '7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://api.kanarie.xyz/api/v1/data/wallets/pnl-details"
payload = { "wallet": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"meta": {},
"tokens": [
{
"symbol": "SOL",
"pnl": 5000,
"project_id": 1
}
],
"summary": {}
},
"metadata": {
"wallet": "7xK...",
"duration": "7d",
"total_tokens": 10
}
}{
"error": "Validation failed",
"details": [
"limit must be a number between 1 and 100"
]
}{
"error": "Missing API key. Expected Authorization: Bearer <api-key> or x-kanarie-api-key: <api-key>."
}{
"x402Version": 2,
"error": "Payment required",
"accepts": [
{}
]
}{
"error": "Invalid API key"
}{
"error": "Rate limit exceeded",
"limit": 123,
"plan": "casual",
"window": "15 minutes",
"retryAfter": 900
}{
"error": "Internal server error"
}Wallets
Get wallet PnL details
Retrieve wallet PnL broken down by token with project enrichment. Supports API key auth or x402 fallback.
POST
https://api.kanarie.xyz
/
api
/
v1
/
data
/
wallets
/
pnl-details
Get wallet PnL details
curl --request POST \
--url https://api.kanarie.xyz/api/v1/data/wallets/pnl-details \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"wallet": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU"
}
'const url = 'https://api.kanarie.xyz/api/v1/data/wallets/pnl-details';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({wallet: '7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://api.kanarie.xyz/api/v1/data/wallets/pnl-details"
payload = { "wallet": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"meta": {},
"tokens": [
{
"symbol": "SOL",
"pnl": 5000,
"project_id": 1
}
],
"summary": {}
},
"metadata": {
"wallet": "7xK...",
"duration": "7d",
"total_tokens": 10
}
}{
"error": "Validation failed",
"details": [
"limit must be a number between 1 and 100"
]
}{
"error": "Missing API key. Expected Authorization: Bearer <api-key> or x-kanarie-api-key: <api-key>."
}{
"x402Version": 2,
"error": "Payment required",
"accepts": [
{}
]
}{
"error": "Invalid API key"
}{
"error": "Rate limit exceeded",
"limit": 123,
"plan": "casual",
"window": "15 minutes",
"retryAfter": 900
}{
"error": "Internal server error"
}Authorizations
bearerAuthkanarieApiKey
Preferred Kanarie API key authentication using Authorization: Bearer .
Body
application/json
Solana wallet address.
Maximum array length:
100Available options:
all, 90d, 30d, 7d, 24h Available options:
asc, desc Available options:
last_trade Required range:
1 <= x <= 100Required range:
0 <= x <= 10000Available options:
project_description, recent_content, technical_analysis, mindshare, developments Required range:
1 <= x <= 25Required range:
1 <= x <= 30Was this page helpful?